Skip to content
Docs

API request logs (public API + MCP) and the workspace activity log.

Base URLhttps://api.socialit.com/v1AuthenticationErrorsRate limits3 endpointsMCP toolset logs

List API request logs

GET/logs

Filter with status, method, path, api_key_id, source, created_at.after / created_at.before, or any <field>.<condition>.

Access: adminZernio: GET /v1/logs

Try it with MCPAsk your agent to call list-request-logs (toolset logs)Set up MCP

Query parameters

pageintegerdefault: 1

Page number

≥ 1

limitintegerdefault: 20

Items per page (max 100)

1–100

sortstring

created_atstatusduration_ms

orderstring

ascdesc

matchstring

Combine filters with AND (default) or OR

allor

statusstring
methodstring
pathstring
api_key_idstring
sourcestring

Returns object

objectstringrequired

list

dataarray of objectrequired
Show 17 item attributes
objectstring

request_log

idstring
methodstring
pathstring
routestring | null
operation_idstring | null
sourcestring

apimcp

statusinteger
duration_msinteger | null
api_key_idstring | null
oauth_client_idstring | null
request_idstring | null
ipstring | null
user_agentstring | null
request_bodyobject | array of any | null
response_bodyobject | array of any | null
created_atstring (date-time) | null
pageintegerrequired
limitintegerrequired
totalinteger | null
has_morebooleanrequired
next_page_urlstring | null
previous_page_urlstring | null

Responses

  • 200OK
  • 4XXErrors: invalid request, auth, permission, not found, conflict, plan or rate limit
  • 5XXErrors: server or upstream network error
GET/logs
curl "https://api.socialit.com/v1/logs" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
Response · 200
{
  "object": "list",
  "data": [
    {
      "object": "request_log",
      "id": "string",
      "method": "string",
      "path": "string",
      "route": "string",
      "operation_id": "string",
      "source": "api",
      "status": 1,
      "duration_ms": 1,
      "api_key_id": "string",
      "oauth_client_id": "string",
      "request_id": "string",
      "ip": "string",
      "user_agent": "string",
      "request_body": {},
      "response_body": {},
      "created_at": "2026-10-13T09:00:00.000Z"
    }
  ],
  "page": 1,
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}

Get an API request log

GET/logs/{id}

Includes the (redacted) request and response bodies.

Access: admin

Try it with MCPAsk your agent to call get-request-log (toolset logs)Set up MCP

Path parameters

idstringrequired

requestLog id (log_…)

1–80 characters

Returns object

objectstring

request_log

idstring
methodstring
pathstring
routestring | null
operation_idstring | null
sourcestring

apimcp

statusinteger
duration_msinteger | null
api_key_idstring | null
oauth_client_idstring | null
request_idstring | null
ipstring | null
user_agentstring | null
request_bodyobject | array of any | null
response_bodyobject | array of any | null
created_atstring (date-time) | null

Responses

  • 200OK
  • 4XXErrors: invalid request, auth, permission, not found, conflict, plan or rate limit
  • 5XXErrors: server or upstream network error
GET/logs/{id}
curl "https://api.socialit.com/v1/logs/log_2Jx0Fq5Pz8vYkB3mN6rT1wQ9sLd" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
Response · 200
{
  "object": "request_log",
  "id": "string",
  "method": "string",
  "path": "string",
  "route": "string",
  "operation_id": "string",
  "source": "api",
  "status": 1,
  "duration_ms": 1,
  "api_key_id": "string",
  "oauth_client_id": "string",
  "request_id": "string",
  "ip": "string",
  "user_agent": "string",
  "request_body": {},
  "response_body": {},
  "created_at": "2026-10-13T09:00:00.000Z"
}

List workspace activity

GET/activity

Audit log of changes to workspace settings, members, API keys and webhooks.

Access: admin

Try it with MCPAsk your agent to call list-activity (toolset logs)Set up MCP

Query parameters

pageintegerdefault: 1

Page number

≥ 1

limitintegerdefault: 20

Items per page (max 100)

1–100

sortstring

created_at

orderstring

ascdesc

matchstring

Combine filters with AND (default) or OR

allor

actionstring
actor_typestring
target_typestring

Returns object

objectstringrequired

list

dataarray of objectrequired
Show 7 item attributes
objectstring

activity

idstring
actorobject
Show 3 child attributes
typestring
idstring | null
namestring | null
actionstring
targetobject | null
Show 3 child attributes
typestring
idstring | null
namestring | null
metadataobject
created_atstring (date-time) | null
pageintegerrequired
limitintegerrequired
totalinteger | null
has_morebooleanrequired
next_page_urlstring | null
previous_page_urlstring | null

Responses

  • 200OK
  • 4XXErrors: invalid request, auth, permission, not found, conflict, plan or rate limit
  • 5XXErrors: server or upstream network error
GET/activity
curl "https://api.socialit.com/v1/activity" \
  -H "Authorization: Bearer $SOCIALIT_API_KEY"
Response · 200
{
  "object": "list",
  "data": [
    {
      "object": "activity",
      "id": "string",
      "actor": {
        "type": "string",
        "id": "string",
        "name": "string"
      },
      "action": "string",
      "target": {
        "type": "string",
        "id": "string",
        "name": "string"
      },
      "metadata": {},
      "created_at": "2026-10-13T09:00:00.000Z"
    }
  ],
  "page": 1,
  "limit": 1,
  "total": 1,
  "has_more": true,
  "next_page_url": "https://example.com",
  "previous_page_url": "https://example.com"
}